using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习标签
    /// </summary>
    [Description("练习标签")]
    public class PracticeTagDto:UpdatePracticeTagDto
    {
        
    }

    /// <summary>
    /// 练习标签
    /// </summary>
    [Description("练习标签")]
    public class AddPracticeTagDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 题目标签
        /// </summary>
        [Description("题目标签")]
        public string TagId { get; set; }

        /// <summary>
        /// 练习Id
        /// </summary>
        [Description("练习Id")]
        public string PracticeId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }

    }

    /// <summary>
    /// 练习标签
    /// </summary>
    [Description("练习标签")]
    public class UpdatePracticeTagDto : AddPracticeTagDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
